#include "myitemmodel.h"

MyItemModel::MyItemModel(QObject* parent) : QAbstractItemModel(parent)
{
    root = new TreeItem();
}

MyItemModel::~MyItemModel(){
    delete root;
}



int MyItemModel::rowCount(const QModelIndex& parent) const {
    TreeItem* parentItem = getItem(parent);
    return parentItem->getChildrenCount();
}

int MyItemModel::columnCount(const QModelIndex &parent) const{
    return root->columnCount();
}


//Helferfunktion
TreeItem* MyItemModel::getItem(const QModelIndex& index) const{
    if (index.isValid()){
        TreeItem* item = static_cast<TreeItem*>(index.internalPointer());
        if (item) {
            return item;
        }
    }
    return root;
}
